package com.xinyilu.system.domain.dto;

import lombok.Data;

import java.io.Serializable;
import java.util.Objects;

/**
 * @author wanghao
 * @create 2023/7/31 0031
 */
@Data
public class PersonalExamineAndApproveDTO implements Serializable {

    private static final long serialVersionUID = 1874817808527245795L;
    /**
     * 幼儿园id
     */
    private Integer kindergartenId;
    /**
     * 班级id
     */
    private Integer classId;
    /**
     * 学生id
     */
    private Integer studentId;
    /**
     * 学生姓名表
     */
    private String studentName;

    /**
     * 批次编号
     */
    private String batchCode;
    /**
     * 批次名称
     */
    private String batchName;

    /**
     * 审核报告类型
     */
    private String checkReportType;

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        PersonalExamineAndApproveDTO that = (PersonalExamineAndApproveDTO) o;
        return studentId.equals(that.studentId) && Objects.equals(batchCode, that.batchCode);
    }

    @Override
    public int hashCode() {
        return Objects.hash(studentId, batchCode);
    }
}
